package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.GradeAnalyzePaperStatusEnum;
import com.qmth.teachcloud.common.enums.TaskResultEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description: 计算回调结果
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/6/7
 */
public class CalculateNotifyResult implements Serializable {

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "课程编码，一个分析试卷的唯一标识")
    private Map<String, GradeAnalyzePaperStatusEnum> courseCode;

    @ApiModelProperty(value = "进度")
    private BigDecimal progress;

    @ApiModelProperty(value = "任务状态")
    private String status;

    @ApiModelProperty(value = "时间戳")
    private Long time;

    @ApiModelProperty(value = "数据结果，SUCCESS：成功，ERROR：失败")
    private String result;

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Map<String, GradeAnalyzePaperStatusEnum> getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(Map<String, GradeAnalyzePaperStatusEnum> courseCode) {
        this.courseCode = courseCode;
    }

    public BigDecimal getProgress() {
        return progress;
    }

    public void setProgress(BigDecimal progress) {
        this.progress = progress;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }
}
